# Python: module skeinforge_application.skeinforge_plugins.meta_plugins.polyfile

skeinforge_application.skeinforge_plugins.meta_plugins.polyfile ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/meta_plugins/polyfile.py

Previous / Next / Contents

`
Polyfile is a script to choose whether the skeinforge toolchain will operate on one file or all the files in a directory.
Settings
Polyfile Choice
Execute File
Execute All Unmodified Files in a Directory'
Example
`

## Settings

### Polyfile Choice

Default is 'Execute File',

#### Execute File

When selected, the toolchain will operate on only the chosen file.

#### Execute All Unmodified Files in a Directory'

When selected, the toolchain will operate on all the unmodifed files in the directory that the chosen file is in.

## Example

Example of using polyfile follows below.
> python polyfile.py
This brings up the polyfile dialog.

Previous / Next / Contents

Modules

``

__init__ | skeinforge_application.skeinforge_utilities.skeinforge_polyfile |  |

Functions

``

getNewRepository()
  `Get new repository.`

main()
  `Display the file or directory dialog.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GNU Affero General Public License http://www.gnu.org/licenses/agpl.html' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)